@echo off

:: Calibre Version
:: 1 = 64 Bit (fr 64 Bit Systeme)
:: 0 = 32 Bit

SET Version=1


:: Installationsmodus
:: 1 = Stille Installation, ohne Eingabe
:: 0 = Regulre Installationsfenster

SET Silent=1


:: --------------------------------------------------------------------------------
:: -------------------------------- ALLESebook.de ---------------------------------
:: --------------------------------------------------------------------------------


IF %Silent%==1 SET SilentEcho=still
IF %Silent%==0 SET SilentEcho=normal

IF %Silent%==1 SET Silent=/qb
IF %Silent%==0 SET Silent=

IF %Version%==1 SET VersionEcho=64-bit
IF %Version%==0 SET VersionEcho=32-bit

IF %Version%==1 SET Version=win64
IF %Version%==0 SET Version=win32

calibre-debug.exe -c "import urllib as u; from calibre.constants import numeric_version; raise SystemExit(int(numeric_version  < (tuple(map(int, u.urlopen('http://calibre-ebook.com/downloads/latest_version').read().split('.'))))))"
  
if %ERRORLEVEL%==0 (
  
  echo Calibre ist auf dem neuesten Stand. 
  echo Das Update-Fenster wird in 5 Sekunden automatisch geschlossen.
  ping -n 5 127.0.0.1 > nul
  
) else (

  :Install
  echo Die neueste %VersionEcho% Calibre Version wird heruntergeladen und %SilentEcho% installiert.
  echo Das Update-Fenster wird nach der Installation automatisch geschlossen.
  calibre.exe --shutdown-running-calibre
  msiexec /i http://status.calibre-ebook.com/dist/%Version% %Silent%

)

exit